org.apache.maven.scm.provider.local.command.tag

## Class LocalTagCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.tag.AbstractTagCommand
    - - org.apache.maven.scm.provider.local.command.tag.LocalTagCommand

All Implemented Interfaces:
  Command, LocalCommand

    public class LocalTagCommand
    extends AbstractTagCommand
    implements LocalCommand

Author:
  Matthew McCullough, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`LocalTagCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ScmResult` `executeTagCommand(ScmProviderRepository repository, ScmFileSet fileSet, String message, ScmTagParameters scmTagParameters)`
`protected ScmResult` `executeTagCommand(ScmProviderRepository repository, ScmFileSet fileSet, String tagName, String message)`

### Methods inherited from class org.apache.maven.scm.command.tag.AbstractTagCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### LocalTagCommand

    public LocalTagCommand()

### Method Detail

#### executeTagCommand

    protected ScmResult executeTagCommand(ScmProviderRepository repository,
                                          ScmFileSet fileSet,
                                          String message,
                                          ScmTagParameters scmTagParameters)
                                   throws ScmException

Specified by:
  `executeTagCommand` in class `AbstractTagCommand`
Throws:
  `ScmException`

#### executeTagCommand

    protected ScmResult executeTagCommand(ScmProviderRepository repository,
                                          ScmFileSet fileSet,
                                          String tagName,
                                          String message)
                                   throws ScmException

Overrides:
  `executeTagCommand` in class `AbstractTagCommand`
Returns:
Throws:
  `ScmException`